package com.ruoyi.system.domain.device;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.system.domain.EFunction;
import com.ruoyi.system.domain.accessory.EAccessoryVO;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class EDeviceVO extends EDevice{

    /** 剩余里程  */
    @Excel(name = "剩余里程")
    private Integer remainingMileage;

    /** 硬件版本 */
    @Excel(name = "硬件版本")
    private String hardwareVersion;

    /** 二维码文本 */
    @Excel(name = "二维码文本")
    private String qrText;

    /** 型号 */
    @Excel(name = "型号")
    private String model;

    /** 用户名 */
    @Excel(name = "用户名")
    private String userName;

    @Excel(name = "配件列表")
    private List<EAccessoryVO> accessorys;

    @Excel(name = "功能列表")
    private List<EFunction> functionList;

    @Excel(name = "正在进行中的订单号")
    private String inProgressOrderNo;

    @Excel(name = "车辆来源类型：1-自己的车；2-分享的车")
    private String type;

    /** 有效时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date expirationTime;

}
